summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorТомас2022-04-08 15:01:25 -0500
committerТомас2022-04-08 15:01:25 -0500
commit760cd8f80d333aaf1365c6ef7a7b6c786cf48a34 (patch)
treee19288f0ecf26f352b5719ba8d04dcfd94f5512c
parent2c0826a1c63a169a8b58bc030f6fc93ef9fde314 (diff)
downloadaur-760cd8f80d333aaf1365c6ef7a7b6c786cf48a34.tar.gz
Ensure ability to pass ShellCheck
-rw-r--r--PKGBUILD14
1 files changed, 9 insertions, 5 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 7024f7ed951..289f04fac2c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,5 +1,9 @@
# Maintainer: Томас <70m4c@70m4c.su>
+# shellcheck disable=SC2148 # Ignore lack of shebang
+# shellcheck disable=SC2034 # Ignore "unused" PKGBUILD variables
+# shellcheck disable=SC2154 # Ignore "unassigned" references to $srcdir and $pkgdir
+
pkgname=chef-server
pkgver=13.2.0
pkgrel=1
@@ -13,7 +17,7 @@ source=("https://packages.chef.io/files/stable/chef-server/${pkgver}/ubuntu/18.0
sha256sums=('c80d63471e173188f656ff36e74afbbc97524f764f3a41cdcc51bd4fedc659a8')
package() {
- cd "$srcdir"
+ cd "$srcdir" || exit 1
bsdtar -xf data.tar.xz -C "$pkgdir"
install -Dm644 "$pkgdir/opt/$pkgname/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
@@ -21,11 +25,11 @@ package() {
# link executables
binaries="chef-apply chef-client chef-server-ctl chef-shell chef-solo gather-logs knife ohai"
- mkdir -p $pkgdir/usr/bin
+ mkdir -p "$pkgdir/usr/bin"
for binary in $binaries; do
- ln -s /opt/opscode/bin/$binary $pkgdir/usr/bin/ || error_exit "Cannot link $binary to /usr/bin"
+ ln -s "/opt/opscode/bin/$binary" "$pkgdir/usr/bin/" || error_exit "Cannot link $binary to /usr/bin"
done
- chown -Rh 0:0 $pkgdir
- chmod 755 $pkgdir/opt
+ chown -Rh 0:0 "$pkgdir"
+ chmod 755 "$pkgdir/opt"
}